---
title: "2024 Wrap Up Books"
date: 2025-01-01T14:40:11-08:00
tags:
  - end-of-year-wrapups
  - reading

---
Continuing a [trend]({{< ref "/tags/end-of-year-wrapups/" >}}) started way back in the [seventh post on this blog](https://blog.scubbo.org/posts/2021-in-books/), a summary of the books that I read this year.
<!--more-->
# Recaps

Potential spoilers, of course, for all the books described herein.

(All dates in American format. I'm sorry, I've succumbed)

## OverLondon - 2024-01-01 -> 01-07

[This book](https://www.overlondon.net/), discovered via [the author's Mastodon posts](https://fosstodon.org/@georgepenney@sunny.garden), felt reminiscent of Tom Holt or Robert Rankin, or a sillier zanier Pratchett (all high praise!). Fans of Failbetter's [Fallen London](https://www.fallenlondon.com/login) setting[^friends] will enjoy the Victoriana-rama of it all, though it's much more light-hearted.

## Use Of Weapons re-read - 01-16 -> 02-11

It's never a bad time to re-read one of Banks' greatest works. In this case, my Kindle happened to glitch out as I picked it up; it opened to a point where Zakalwe commandeers a civilian craft, and before I knew it I'd read all the way to the end and decided to restart from the beginning again.

I think my fondness for this book can be best expressed in the fact that [three]({{< ref "/posts/being-a-seagull" >}}) of [the]({{< ref "/posts/work-in-a-post-scarcity-utopia" >}}) [snippets]({{< ref "/posts/writing-poetry" >}}) that I chose to record during that brief blogging-period were from this book (which I also read in [2021]({{< ref "/posts/2021-in-books" >}})). A masterpiece.

## Thinking, Fast And Slow - 02-12 -> 03-12

I was cautious going into this one, as it had a reputation for being very "tech/finance/corporate-bro-y". The content can be (simplistically) summarized as "_how do people make choices, and how can you make your decision-making better for yourself (whatever that means)_?" Although I can certainly see how those demographics could use the ideas for their own nefarious purposes, there's plenty of benevolent things to learn here.

This was the first book[^notes] that I ever took notes on while I was reading it - a practice I highly recommend and will continue (for non-fiction). Looking back at the notes now, there are plenty of concepts that I had completely forgotten, but that spring back near-fully-formed on reading the summaries[^reliability-of-memory].

## Curse Of Strahd - 02-13 -> 03-16

The [sourcebook](https://en.wikipedia.org/wiki/Curse_of_Strahd) for the latest iteration of the most famous RPG campaign ever published. I've been running this campaign for 4 friends since July - despite 3 weddings and a bereavement among the participants, we've managed to keep up a respectable cadence.

For anyone thinking of running this for themselves, I cannot recommend highly enough [Strahd Reloaded](https://www.strahdreloaded.com/Introduction/A+DM's+Guide+to+Curse+of+Strahd). Before starting the game I scoured the Internet for extra content, DM's own twists, and fun ideas, when really I should have saved my time and just gone straight here. Pay the couple of bucks for the Discord membership and enjoy an transcendent experience on an already-excellent campaign.

## Trials Of Empire - 03-13 -> 03-24

Third book of the Empire Of The Wolf trilogy (writtten by acquaintance [Richard Swan](https://www.stonetemplelibrary.com/contact)), which starts with [The Justice Of Kings](https://www.amazon.com/Justice-Kings-Richard-Swan-ebook/dp/B096RTL1DN).

This series has always felt a little strangely-focused to me, in that it clearly has a staggeringly broad and deep setting (both in "breadth of the world" and "magical structure/system"), of which we only get to see the barest sliver. A valid choice, and one which leaves readers hungry for more, but - I'd still like to see a little more a little faster! Nonetheless, this was still an enjoyable read that I would have gladly picked up even without the friend-of-a-friend link.

## The Murderbot Diaries 1-5 - 03-25 -> 04-16

It would have felt a little disingenuous listing these as separate works, since I completed the first one in a single day. As I recall, only the last book really qualifies as a separate book, the first four are more properly short stories.

Despite having worked my way through so much content, these really didn't land for me. I can see how the protagonist's surly, laconic, cynical, tsundere-affection could be sympathetic and amusing, but I've had more than my fill of snark from...basically most fandoms I enjoyed as a youth, especially Whedon's ilk, webcomics like Something Positive[^something-positive], and many comics/video-games in general.

Nonetheless, I'm glad that people enjoy it! It's just not for me.

## Children Of Time/Ruin/Memory - 05-03 -> 06-01

This series had popped up on a bunch of "best sci-fi" lists, especially in the context of being more optimistic than most. I'm glad I gave it a try - although the first book is far-and-away the best, even the lowest point of this series is still a worthwhile read. If the hook of "_what would it look like for a race of spiders to be uplifted to human-level intelligence? How would their physical differences result in differing social and technological evolution?_" tickles your brain at all, you'll have a grand old time.

## Moving Pictures re-read - 06-12 -> 08-09

I picked this up for a little comfort while staying in my childhood home dealing with the abrupt decline and passing-on of my mother. Nothing much to say, here, other than RIP (or should I say "[GNU](https://wiki.lspace.org/GNU_Terry_Pratchett)") Mum - I love you and miss you.

## Wheel Of Time re-read 1-8 - 08-22 -> 12-15

I first read the Wheel Of Time around 2010, at which point it was still incomplete. I burned out on the series around book 9, after I realized that basic plot of the last three books followed the exact same template[^wheel-of-time-plot]. Having since discovered Brandon Sanderson and noted that he'd completed this series after the author's death, as well as having noted that Amazon has been producing a TV adaptation of the series (which might be something I'd enjoy watching with my wife, who enjoyed Game Of Thrones until it got bad), I resolved to reread-and-complete this pillar of modern fantasy.

...you guys, it's just so dull though? As a good friend (who introduced me to Branderson) said, "_It’s just so boring. And feels like it was written 100 years ago_". Maybe this is an example of [Seinfeld Is Unfunny](https://tvtropes.org/pmwiki/pmwiki.php/Main/OnceOriginalNowCommon)[^original-name] (warning - TVTropes), but it started feeling like a slog around book 5 and didn't really improve.

Plus, I was strongly incentivized to quit (or at least pause) around this time, because...

## Wind And Truth (Stormlight 5) - 12-25 -> ...

...I'd intended to hold off on purchasing this book until I finished Wheel Of Time, to reduce temptation to quit; but then my wife told me that our local Barnes & Noble was having a going-out-of-business sale, and how could I resist?

![Many D&D accessories, a couple board games, and the book Wind And Truth](/img/barnes-and-noble-haul.jpg "My haul")

Only ~450 pages in so far, but loving it. The magic system is more varied, nuanced, and interesting than WoT's, the characters are better-developed and richer, and the cosmology is...well, it's the Cosmere, come on!

## Learning Domain-Driven Design // Practial Process Automation - ?? -> ??

Two books that were covered in Book Clubs at work this year. Dates are \<shrug\> because neither has actually been finished yet - the Domain-Driven Design book club seeme to peter out a few chapters from the end (though I'd already ducked out because of the bereavement), and Practical Process Automation is _technically_ still going though has stalled for the holiday season.

Regular readers will recall me reading [Domain-Driven Design]({{< ref "/posts/2023-wrap-up-books#domain-driven-design" >}}) last year, which fell a little flat as the concepts felt self-evident; this book's presentation was much more modern and useful. Though I still get a _real_ strong ick at the idea of Event Sourcing as a means of Domain Object Modelling - as with many things that That One Coworker™️ suggests, the advantages seem miniscule and rare-in-practice, whereas the drawbacks and complexity are considerable.

As with "Thinking, Fast And Slow", taking notes as I went along was fruitful for these books.

# Full lists and stats

1. OverLondon
2. Use Of Weapons
3. Thinking, Fast And Slow
4. Curse Of Strahd
5. Trials Of Empire
6. All Systems Red
7. Artifical Condition
8. Rogue Protocol
9. Exit Strategy
10. Network Effect
11. Children Of Time
12. Children Of Ruin
13. Children Of Memory
14. Moving Pictures
15. The Eye Of The World
16. The Great Hunt
17. The Dragon Reborn
18. The Shadow Rising
19. The Fires Of Heaven
20. Lord Of Chaos
21. A Crown Of Sword
22. The Path Of Daggers
23. Wind And Truth // Learning Domain-Driven Design // Practical Process Automation (3 incomplete books roughly equals one complete book, right?)

* 21 Fiction, 4 Non-Fiction; counting CoS as non-fiction (debatable, for sure - but my heuristic is "_did I read this primarily in order to develop a skill, learn something, or obtain a new perspective, rather than for entertainment alone?_", by which it certainly qualifies) and counting both LD-DD and PPA.
* 19 by Men, 6 by Women, and 1 (Curse Of Strahd) by a group of authors including "_the husband and wife team of Tracy and Laura Hickman_".
* No books by non-white authors, as far as I'm aware
* 1 by Friends-or-Family

# Summing up, and looking forward

## Goals 

Going into this year, I'd had the intention to read more non-fiction and more books by non-white/non-men. I had limited success there (slightly worse on non-fiction, quite a bit better on gender balance, full failure racial balance) - but to be honest I am cutting myself some significant slack given the bereavement that I suffered halfway through the year.

All of these goals remain solid ones for next year - I'd like to follow the advice of an excellent ex-mentor to alternate between fiction and non-fiction, and as a stretch goal would like to run a Book Club (though at present I'm not sure what I'd want to cover).

## General quality

Comparing with last year's reads, this year's falls distinctly short. Of the new books, only Children Of Time, Thinking, Fast And Slow, and Wind And Truth feel up to the average quality of last year's. Maybe the lesson here is to be faster to give up on books that aren't delighting me - though, in my defence, I was being _intentionally_ obstinate with WoT because completionism (through to a promised high-quality finale) was a deliberate goal. But also - sometimes you just win some or lose some.

## Articles

Last year I also included a [round-up of the significant articles that I read that year]({{< ref "/posts/2023-wrap-up-articles" >}}). Candidly I think it's pretty unlikely that I'll do that this year, as I never got around to installing [Linkwarden](https://linkwarden.app/) on my homeserver, and the stop-gap ([Pocket](https://getpocket.com)) contains a _whole_ bunch of 404s, empty content, and - bafflingly - links to things that seem "up my street" but that I have no memory of reading.

Do yourself a favour and simply read one of these all-time greats, instead:
* [The Categories Were Made For Man, Not Man For The Categories](https://slatestarcodex.com/2014/11/21/the-categories-were-made-for-man-not-man-for-the-categories/)
* [Many More Much Smaller Steps](https://www.geepawhill.org/2021/09/29/many-more-much-smaller-steps-first-sketch/) if you are a craftsperson of any form (though it's primarily written for software engineers)
* [Manual Work Is A Bug](https://queue.acm.org/detail.cfm?id=3197520) if you are a Software Engineer

[^friends]: among which I count myself not _just_ because of my friendship with noted word-wranglers [George](https://www.georgelockett.com/) and [Olivia](https://www.oliviawood.co.uk/), Failbetterers both at various times.
[^notes]: not counting textbooks at school - though, even then, the topics I studied meant that this was rarely relevant anyway. I still remember the horror on my History-student friend's face when I told him that, in the course of my three-year Maths degree, I had checked out a single book from the library, for the purposes of reading a single paragraph.
[^reliability-of-memory]: of course, the author would have something to say about the reliability of memory, here...
[^something-positive]: deliberately not linked because...no. JFC it's still going - that's a blast-from-the-past.
[^wheel-of-time-plot]: "_Rand moves into a new city; there is hostility and tension from the city's existing rulers; one of those rulers is exposed as a Foresaken; Rand unlocks a new power-up and defeats the Foresaken_". Not entirely fair; but far from false, either!
[^original-name]: the original name of the trope, which is now used for the [parent category](https://tvtropes.org/pmwiki/pmwiki.php/Main/SeinfeldIsUnfunny) instead.
